#pragma once

class Pawn {
	public:
		Pawn();

		// Gettery i settery
		int getRelativePosition() const;
		void setRelativePosition(int position);

		bool isAtBase() const;
		bool isActive() const;
		bool isAtHome() const;
		void sendToBase();

		int move(int fields);

	private:
		int position; // -1 oznacza pionek w bazie
		int grid_x;
		int grid_y;
};